Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.addrbook
Class FellowTitle

    java.lang.Object
      com.knowgate.dataobjs.DBPersist
          com.knowgate.addrbook.FellowTitle

All Implemented Interfaces:
  java.io.Serializable, java.util.Map

    public class FellowTitle

extends DBPersist

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from class com.knowgate.dataobjs.DBPersist
`AllVals, sAuditCls, sAuditUsr, sTransactId`

Constructor Summary
`FellowTitle()`
`FellowTitle(java.lang.String sIdWorkArea, java.lang.String sDeTitle)`
`FellowTitle(java.lang.String sIdWorkArea, java.lang.String sDeTitle, java.lang.String sIdTitle, java.lang.String sTpTitle, java.lang.String sIdBoss, java.lang.Float fSalaryMax, java.lang.Float fSalaryMin)`

Method Summary
`boolean` | `delete(JDCConnection oConn)` Delete a register from database The deleted register will be the one matching this DBPersist primary key, as set at constructor or load() method.

Methods inherited from class com.knowgate.dataobjs.DBPersist
`allcaps, allcaps, changelog, clear, clone, containsKey, containsValue, entrySet, exists, get, get, getAuditClassName, getCreationDate, getDate, getDateFormated, getDateShort, getDateTime, getDateTime24, getDecimal, getDecimalFormated, getDecimalFormated, getDouble, getDoubleFormated, getFloat, getFloatFormated, getInt, getInteger, getIntervalPart, getItemMap, getItems, getMoney, getShort, getSQLDate, getSQLTime, getString, getStringHtml, getStringNull, getTable, getTable, getTableName, getTime, getTimeOfDay, getTimestamp, getUIdFromName, isEmpty, isNull, iterator, keySet, load, load, parseXML, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, putAll, putAll, remove, remove, replace, replace, replace, replace, replace, replace, replace, replace, setAuditTransact, setAuditUser, setCreationDate, size, store, toLowerCase, toUpperCase, toXML, toXML, toXML, toXML, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### FellowTitle

    public FellowTitle()

### FellowTitle

    public FellowTitle(java.lang.String sIdWorkArea,
                       java.lang.String sDeTitle)

### FellowTitle

    public FellowTitle(java.lang.String sIdWorkArea,
                       java.lang.String sDeTitle,
                       java.lang.String sIdTitle,
                       java.lang.String sTpTitle,
                       java.lang.String sIdBoss,
                       java.lang.Float fSalaryMax,
                       java.lang.Float fSalaryMin)

Method Detail

### delete

    public boolean delete(JDCConnection oConn)
                   throws java.sql.SQLException

  Description copied from class: `DBPersist`

  Delete a register from database

  The deleted register will be the one matching this DBPersist primary key, as set at constructor or load() method.

  Overrides:
    `delete` in class `DBPersist`
  Parameters:
    `oConn` - Database connection
  Returns:
    true if register was successfully erased, false if not.
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD